package org.jeecg.modules.adweb.product.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.adweb.product.dto.ProductDTO;
import org.jeecg.modules.adweb.product.entity.AdwebProduct;
import org.jeecg.modules.adweb.product.mapper.AdwebProductMapper;
import org.jeecg.modules.adweb.product.service.IAdwebProductService;
import org.jeecg.modules.adweb.site.entity.AdwebSite;
import org.springframework.stereotype.Service;

/**
 * @Description: wp站点产品
 * @Author: jeecg-boot
 * @Date: 2024-12-06
 * @Version: V1.0
 */
@Service
public class AdwebProductServiceImpl extends ServiceImpl<AdwebProductMapper, AdwebProduct> implements IAdwebProductService {

    /**
     * @param productDTO
     * @param adwebSites
     */
    @Override
    public void addProduct(ProductDTO productDTO, AdwebSite adwebSites) {
        AdwebProduct product = new AdwebProduct();
        BeanUtil.copyProperties(productDTO, product);

        product
                .setSiteCode(adwebSites.getCode());

        this.save(product);
    }

    /**
     * @param productDTO
     * @param adwebSites
     */
    @Override
    public void updateProduct(ProductDTO productDTO, AdwebSite adwebSites) {

    }
}
